package com.ejie.aa20b.model;

import java.util.Date;

public class Partetecnicosgmao implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idpartec;
	private Integer idparte;
	private Long idtecnico;
	private String guidpartetecgmao;
	private String guidplanopartegmao;
	private String estadoGmao;
	private Date fechaEstadoGmao;
	private Integer tiempopausaGmao;
	private String pausaAutoGmao;
	private String guidpartepadreayuda;
	private String guidparteseguido;
	private String guidpdfpartegmao;
	private String urgenteaviso;

	/**
	 * Method 'Partetecnicos'.
	 */
	public Partetecnicosgmao() {
	}

	public Partetecnicosgmao(Integer idpartetec, Integer idparte,
			Long idtecnico, String guidpartetecgmao, String guidplanopartegmao,
			String estadoGmao, Date fechaEstadoGmao, Integer tiempopausaGmao,
			String pausaAutoGmao, String guidpartepadreayuda,
			String guidparteseguido, String guidpdfpartegmao,
			String urgenteaviso) {
		this.idpartec = idpartetec;
		this.idparte = idparte;
		this.idtecnico = idtecnico;
		this.guidpartetecgmao = guidpartetecgmao;
		this.guidplanopartegmao = guidplanopartegmao;
		this.estadoGmao = estadoGmao;
		this.fechaEstadoGmao = fechaEstadoGmao;
		this.tiempopausaGmao = tiempopausaGmao;
		this.pausaAutoGmao = pausaAutoGmao;
		this.guidpartepadreayuda = guidpartepadreayuda;
		this.guidparteseguido = guidparteseguido;
		this.guidpdfpartegmao = guidpdfpartegmao;
		this.urgenteaviso = urgenteaviso;
	}

	public Integer getIdpartec() {
		return idpartec;
	}

	public void setIdpartec(Integer idpartec) {
		this.idpartec = idpartec;
	}

	public Integer getIdparte() {
		return idparte;
	}

	public void setIdparte(Integer idparte) {
		this.idparte = idparte;
	}

	public Long getIdtecnico() {
		return idtecnico;
	}

	public void setIdtecnico(Long idtecnico) {
		this.idtecnico = idtecnico;
	}

	public String getGuidpartetecgmao() {
		return guidpartetecgmao;
	}

	public void setGuidpartetecgmao(String guidpartetecgmao) {
		this.guidpartetecgmao = guidpartetecgmao;
	}

	public String getGuidplanopartegmao() {
		return guidplanopartegmao;
	}

	public void setGuidplanopartegmao(String guidplanopartegmao) {
		this.guidplanopartegmao = guidplanopartegmao;
	}

	public String getEstadoGmao() {
		return estadoGmao;
	}

	public void setEstadoGmao(String estadoGmao) {
		this.estadoGmao = estadoGmao;
	}

	public Date getFechaEstadoGmao() {
		return fechaEstadoGmao;
	}

	public void setFechaEstadoGmao(Date fechaEstadoGmao) {
		this.fechaEstadoGmao = fechaEstadoGmao;
	}

	public Integer getTiempopausaGmao() {
		return tiempopausaGmao;
	}

	public void setTiempopausaGmao(Integer tiempopausaGmao) {
		this.tiempopausaGmao = tiempopausaGmao;
	}

	public String getPausaAutoGmao() {
		return pausaAutoGmao;
	}

	public void setPausaAutoGmao(String pausaAutoGmao) {
		this.pausaAutoGmao = pausaAutoGmao;
	}

	public String getGuidpartepadreayuda() {
		return guidpartepadreayuda;
	}

	public void setGuidpartepadreayuda(String guidpartepadreayuda) {
		this.guidpartepadreayuda = guidpartepadreayuda;
	}

	public String getGuidparteseguido() {
		return guidparteseguido;
	}

	public void setGuidparteseguido(String guidparteseguido) {
		this.guidparteseguido = guidparteseguido;
	}

	public String getGuidpdfpartegmao() {
		return guidpdfpartegmao;
	}

	public void setGuidpdfpartegmao(String guidpdfpartegmao) {
		this.guidpdfpartegmao = guidpdfpartegmao;
	}

	public String getUrgenteaviso() {
		return urgenteaviso;
	}

	public void setUrgenteaviso(String urgenteaviso) {
		this.urgenteaviso = urgenteaviso;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idpartec: ").append(this.idpartec).append(" ]");
		result.append(", [ idparte: ").append(this.idparte).append(" ]");
		result.append(", [ idtecnico: ").append(this.idtecnico).append(" ]");
		result.append(", [ guidpartetecgmao: ").append(this.guidpartetecgmao)
				.append(" ]");
		result.append(", [ guidplanopartegmao: ")
				.append(this.guidplanopartegmao).append(" ]");
		result.append(", [ estadoGmao: ").append(this.estadoGmao).append(" ]");
		result.append(", [ fechaEstadoGmao: ").append(this.fechaEstadoGmao)
				.append(" ]");
		result.append(", [ tiempopausaGmao: ").append(this.tiempopausaGmao)
				.append(" ]");
		result.append(", [ pausaAutoGmao: ").append(this.pausaAutoGmao)
				.append(" ]");
		result.append(", [ guidpartepadreayuda: ")
				.append(this.guidpartepadreayuda).append(" ]");
		result.append(", [ guidparteseguido: ").append(this.guidparteseguido)
				.append(" ]");
		result.append(", [ guidpdfpartegmao: ").append(this.guidpdfpartegmao)
				.append(" ]");
		result.append(", [ urgenteaviso: ").append(this.urgenteaviso)
				.append(" ]");

		result.append("}");
		return result.toString();
	}

}